.codeeditor{margin:0;padding:0}
.codeeditor #execute{min-width:100px}
.codeeditor #abort{margin-right:-1px;min-width:100px}
.codeeditor #command-line{font-family:Menlo,Monaco,Consolas,"Courier New",monospace}
.codeeditor-left{position:absolute;top:0;right:none;bottom:0;left:0;width:100%;overflow:auto;border:1px solid #b8b8b8;border-width:0 1px 0 0}
.codeeditor-right{position:absolute;top:0;right:0;bottom:0;left:none;width:0%;overflow:auto;padding-left:1px}
.codeeditor-right-top{position:absolute;top:0;right:0;bottom:none;left:0;height:100%;overflow:hidden;box-shadow:0 1px 0 #b8b8b8}
.codeeditor-right-bottom{position:absolute;top:none;right:0;bottom:0;left:0;height:0%;overflow:auto;padding:11px 10px 10px 10px}
.codeeditor-commandline>*{border-radius:0}
.codeeditor-commandline>.input-group-addon{border-left:0}
.codeeditor-commandline button{border-radius:0}
.codeeditor-ace{position:absolute!important;top:0!important;right:0!important;bottom:0!important;left:0!important}
.codeeditor-output{position:absolute!important;top:35px!important;right:0!important;bottom:0!important;left:0!important;border-radius:0;margin:0 0 0 1px;border:0}
.codeeditor-output-buttons{position:absolute;top:45px;right:10px}
.codeeditor-right-top pre{overflow:auto}
.codeeditor-right-bottom .well{position:absolute;top:55px;right:10px;bottom:10px;left:10px;padding:10px;margin:0;white-space:nowrap;overflow-x:auto;overflow-y:auto}
.codeeditor-right-bottom .codeeditor-preview{position:relative;display:inline-block;margin:0 10px 10px 0;padding:6px;border-radius:3px;border:1px solid #b8b8b8;background-color:#fff;float:left;overflow:hidden}
.codeeditor-right-bottom .codeeditor-preview>a{cursor:pointer}
.codeeditor-right-bottom .codeeditor-preview:hover{border-color:#428bca}
.codeeditor-right-bottom .codeeditor-preview-label{position:absolute;top:0;right:0;left:0;height:24px;text-align:center}
.codeeditor-right-bottom .codeeditor-preview-img{position:absolute;top:24px;right:0;bottom:0;left:0;text-align:center}
.codeeditor-right-bottom .codeeditor-preview img{padding-top:24px;height:100px;width:auto}
.codeeditor-ace div.ace_scrollbar{overflow-x:auto!important;overflow-y:auto!important}
.codeeditor-x-dragbar{position:absolute;top:0;bottom:0;width:4px;overflow:visible;z-index:1;background-color:#E8E8E8;cursor:ew-resize}
.codeeditor-y-dragbar{position:absolute;left:0;right:0;height:4px;overflow:visible;z-index:1;background-color:#E8E8E8;cursor:ns-resize}